
Member Nodes - Task #6231

MNDeployment # 3748 (Operational): PPBIO Member Node

Task # 6187 (Closed): PPBIO: Testing

Task # 6216 (Closed): PPBIO: Registration in PRODUCTION environment

Task # 6227 (Closed): PPBIO: Content Review

PPBIO: Verify Science Metadata

2014-08-29 16:38 - Laura Moyers

Status: Closed Start date: 2016-05-06

Priority: Normal Due date:  

Assignee: Mark Servilla % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Operational   

Story Points:    

Description

Tasks related to ensuring that the Science Metadata is correctly represented on the MN.

History

#1 - 2016-01-19 20:53 - Laura Moyers

- Assignee set to Mark Servilla

- translation missing: en.field_remaining_hours set to 0.0

Verify Science Metadata content:  Verify that the Science Metadata is present, complete and correctly formatted. i.e., can be opened in the

applications that are designed to handle the formats.

Verify Science Metadata is returned with the correct HTTP Content-Type:  The HTTP Content-Type header should correctly represent the Science

Metadata when downloaded.  For instance, EML , TIFF, and RDF documents should have Content-Type of text/xml, image/tiff, and

application/rdf+xml respectively.

Verify that the Science Metadata is correctly processed by CNs:  Verify that CNs are able to index any supported Science Metadata objects. 

Successfully indexed objects appear in the Solr index. Not all Science Metadata formats are supported by DataONE. If the MN does not expose any

supported objects, this ticket can be closed directly.

#2 - 2016-05-06 15:29 - Mark Servilla

- Status changed from New to Closed

- Start date set to 2016-05-06

- % Done changed from 0 to 100
